Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf.extensions
Class PDFArrayExtension

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFObjectExtension
          org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
              org.apache.fop.render.pdf.extensions.PDFCollectionExtension
                  org.apache.fop.render.pdf.extensions.PDFArrayExtension

    public class PDFArrayExtension

extends PDFCollectionExtension

Field Summary

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`PROPERTY_KEY`

Method Summary
`void` | `addEntry(PDFCollectionEntryExtension entry)`
`java.lang.String` | `getElementName()`
`java.util.List<PDFCollectionEntryExtension>` | `getEntries()`
`PDFCollectionEntryExtension` | `getLastEntry()`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.lang.Object` | `getValue()`
`void` | `setProperty(java.lang.String name, java.lang.String value)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`getKey, setKey`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension
`getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Overrides:
    `setValue` in class `PDFObjectExtension`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `PDFObjectExtension`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### addEntry

    public void addEntry(PDFCollectionEntryExtension entry)

  Specified by:
    `addEntry` in class `PDFCollectionExtension`

### getEntries

    public java.util.List<PDFCollectionEntryExtension> getEntries()

### getLastEntry

    public PDFCollectionEntryExtension getLastEntry()

  Specified by:
    `getLastEntry` in class `PDFCollectionExtension`

### getElementName

    public java.lang.String getElementName()

  Overrides:
    `getElementName` in class `PDFObjectExtension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.